#!/usr/bin/env python
# -*- coding: utf-8 -*-

import mongoengine as mongo
import ssl


class MongoBaseModel(object):
    __mongo = None

    def __init__(self,
                 db,
                 host,
                 port,
                 username,
                 password,
                 ssl=True,
                 ssl_cert_reqs=ssl.CERT_NONE,
                 retrywrites=False):
        mongo.connect(db=db,
                      host=host,
                      port=port,
                      username=username,
                      password=password,
                      ssl=ssl,
                      ssl_cert_reqs=ssl_cert_reqs,
                      retrywrites=retrywrites)
        self.__mongo = mongo
