#!/usr/bin/env python
# -*- coding: utf-8 -*-
"""
Contains all environment variables required by the package
"""

import os

DYNAMO_ENGINE_TABLE = os.environ.get('DYNAMO_ENGINE_TABLE')
DYNAMO_EXPORT_AD_TABLE = os.environ.get('DYNAMO_EXPORT_AD_TABLE')
DYNAMO_EXPORT_WF_TABLE = os.environ.get('DYNAMO_EXPORT_WF_TABLE')
DYNAMO_GENERIC_RW_CAP = int(os.environ.get('DYNAMO_GENERIC_RW_CAP')) if os.environ.get('DYNAMO_GENERIC_RW_CAP') else None
DYNAMO_IMPORT_AD_TABLE = os.environ.get('DYNAMO_IMPORT_AD_TABLE')
DYNAMO_IMPORT_WF_TABLE = os.environ.get('DYNAMO_IMPORT_WF_TABLE')
DYNAMO_METADATA_TABLE = os.environ.get('DYNAMO_METADATA_TABLE')
DYNAMO_METADATA_PATTERNS_TABLE = os.environ.get(
    'DYNAMO_METADATA_PATTERNS_TABLE')
DYNAMO_PRELOGIN_READ_UNITS = int(os.environ.get('DYNAMO_PRELOGIN_READ_UNITS')) if os.environ.get('DYNAMO_PRELOGIN_READ_UNITS') else None
DYNAMO_PRELOGIN_WRITE_UNITS = int(
    os.environ.get('DYNAMO_PRELOGIN_WRITE_UNITS')) if os.environ.get('DYNAMO_PRELOGIN_WRITE_UNITS') else None
DYNAMO_REGION = os.environ.get('DYNAMO_REGION')
DYNAMO_RUN_META_TABLE = os.environ.get('DYNAMO_RUN_META_TABLE')
DYNAMO_USER_PROFILE_TABLE = os.environ.get('DYNAMO_USER_PROFILE_TABLE')
DYNAMO_USER_REQUEST_TABLE = os.environ.get('DYNAMO_USER_REQUEST_TABLE')
DYNAMO_ITERATION_METADATA_TABLE = os.environ.get('DYNAMO_ITERATION_METADATA_TABLE')
DATABASE_CERTIFICATE=os.environ.get('DATABASE_CERTIFICATE')
PRIVATE_DATA_BUCKET=os.environ.get('PRIVATE_DATA_BUCKET')

DYNAMO_STUDIO_VIZ_DB=os.environ.get('DYNAMO_STUDIO_VIZ_DB') 
DYNAMO_STUDIO_VIZ_LOGS_DB=os.environ.get('DYNAMO_STUDIO_VIZ_LOGS_DB')
DYNAMO_REGION_VIZ=os.environ.get('DYNAMO_REGION_VIZ')