#!/usr/bin/env python
# -*- coding: utf-8 -*-

import os

from db_paribhasha.base_models.mongo_base_model import MongoBaseModel

mongo_port = os.getenv('PUBLIC_DASHBOARDS_MONGO_PORT', None)

if mongo_port:
    mb = MongoBaseModel(os.getenv('PUBLIC_DASHBOARDS_MONGO_DB'),
                        os.getenv('PUBLIC_DASHBOARDS_MONGO_HOST'),
                        int(mongo_port),
                        os.getenv('MONGO_USERNAME'),
                        os.getenv('MONGO_PRIMARY_PWD'))
