#!/usr/bin/env python
# -*- coding: utf-8 -*-

from mongoengine import StringField, DynamicDocument, DateTimeField

class AnalysisPublicDashboards(DynamicDocument):
    """
    ODM class for MongoEngine Model.

    Parameters
    ----------
    DynamicDocument : Class
        Dynamic Mongo Class.
    """

    created_ts = DateTimeField()
    analysis_id = StringField()
    dashboard_id = StringField()
    dashboard_url = StringField()
    dataset_id = StringField()
    dataset_desc = StringField()
